/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3g)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 27 Feb 2020 07:59:49 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3g/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3g/lib/bigloo/4.3g -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2567z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2582z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2587z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2592z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_typesz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31470ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31547ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2417z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_setglobalz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2422z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2426z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31581ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2431z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2435z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2439z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letza2za2_bglt BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_ifz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_symbol2600z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2605z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2448z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2452z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letrecz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31657ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2629z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2635z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2646z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2487z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31692ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2652z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2658z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2663z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2669z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2673z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_symbol2689z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2694z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2699z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31442ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31516ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_orz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31733ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1397z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2512z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2517z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2521z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31486ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31559ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2530z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2539z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2707z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2383z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2709z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2385z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2391z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2556z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2396z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1431za7622711z00, BGl_z62lambda1431z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1430za7622712z00, BGl_z62lambda1430z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2713za7, BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1411za7622714z00, BGl_z62lambda1411z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1409za7622715z00, BGl_z62lambda1409z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622716z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622717z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622718z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1453za7622719z00, BGl_z62lambda1453z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2502z00zz__evaluate_typesz00, BgL_bgl_string2502za700za7za7_2720za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1459za7622721z00, BGl_z62lambda1459z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__evaluate_typesz00, BgL_bgl_za762lambda1458za7622722z00, BGl_z62lambda1458z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2723za7, BGl_z62zc3z04anonymousza31442ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762lambda1440za7622724z00, BGl_z62lambda1440z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1438za7622725z00, BGl_z62lambda1438z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622726z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622727z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2513z00zz__evaluate_typesz00, BgL_bgl_string2513za700za7za7_2728za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2729za7, BGl_z62zc3z04anonymousza31470ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762lambda1468za7622730z00, BGl_z62lambda1468z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2518z00zz__evaluate_typesz00, BgL_bgl_string2518za700za7za7_2731za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1466za7622732z00, BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762lambda1493za7622733z00, BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622734z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2522z00zz__evaluate_typesz00, BgL_bgl_string2522za700za7za7_2735za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622736z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622737z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2526z00zz__evaluate_typesz00, BgL_bgl_string2526za700za7za7_2738za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2739za7, BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1820za7622740z00, BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1504za7622741z00, BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762lambda1818za7622742z00, BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__evaluate_typesz00, BgL_bgl_za762lambda1503za7622743z00, BGl_z62lambda1503z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2531z00zz__evaluate_typesz00, BgL_bgl_string2531za700za7za7_2744za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1837za7622745z00, BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2746za7, BGl_z62zc3z04anonymousza31486ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1836za7622747z00, BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1484za7622748z00, BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762lambda1842za7622749z00, BGl_z62lambda1842z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762lambda1482za7622750z00, BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762lambda1841za7622751z00, BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2752za7, BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622753z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1522za7622754z00, BGl_z62lambda1522z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2700z00zz__evaluate_typesz00, BgL_bgl_string2700za700za7za7_2755za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762lambda1847za7622756z00, BGl_z62lambda1847z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1521za7622757z00, BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2540z00zz__evaluate_typesz00, BgL_bgl_string2540za700za7za7_2758za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2759za7, BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2760za7, BGl_z62zc3z04anonymousza31516ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1855za7622761z00, BGl_z62lambda1855z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1512za7622762z00, BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1854za7622763z00, BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1510za7622764z00, BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2544z00zz__evaluate_typesz00, BgL_bgl_string2544za700za7za7_2765za7, "handler", 7 );
DEFINE_STRING( BGl_string2708z00zz__evaluate_typesz00, BgL_bgl_string2708za700za7za7_2766za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2767za7, BGl_z62zc3z04anonymousza31532ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2384z00zz__evaluate_typesz00, BgL_bgl_string2384za700za7za7_2768za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2386z00zz__evaluate_typesz00, BgL_bgl_string2386za700za7za7_2769za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1861za7622770z00, BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1860za7622771z00, BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1530za7622772z00, BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2710z00zz__evaluate_typesz00, BgL_bgl_string2710za700za7za7_2773za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2774za7, BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762lambda1528za7622775z00, BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1867za7622776z00, BGl_z62lambda1867z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1866za7622777z00, BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2778za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2551z00zz__evaluate_typesz00, BgL_bgl_string2551za700za7za7_2779za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2780za7, BGl_z62zc3z04anonymousza31547ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1830za7622781z00, BGl_z62lambda1830z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622782z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2390z00zz__evaluate_typesz00, BgL_bgl_string2390za700za7za7_2783za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1828za7622784z00, BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1543za7622785z00, BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2392z00zz__evaluate_typesz00, BgL_bgl_string2392za700za7za7_2786za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1564za7622787z00, BGl_z62lambda1564z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2557z00zz__evaluate_typesz00, BgL_bgl_string2557za700za7za7_2788za7, "mutex", 5 );
DEFINE_STRING( BGl_string2397z00zz__evaluate_typesz00, BgL_bgl_string2397za700za7za7_2789za7, "eff", 3 );
DEFINE_STRING( BGl_string2399z00zz__evaluate_typesz00, BgL_bgl_string2399za700za7za7_2790za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda1883za7622791z00, BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda1882za7622792z00, BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1563za7622793z00, BGl_z62lambda1563z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__evaluate_typesz00, BgL_bgl_za762lambda1888za7622794z00, BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda1887za7622795z00, BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1571za7622796z00, BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2561z00zz__evaluate_typesz00, BgL_bgl_string2561za700za7za7_2797za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1570za7622798z00, BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda1893za7622799z00, BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda1892za7622800z00, BGl_z62lambda1892z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2801za7, BGl_z62zc3z04anonymousza31559ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1557za7622802z00, BGl_z62lambda1557z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1555za7622803z00, BGl_z62lambda1555z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2568z00zz__evaluate_typesz00, BgL_bgl_string2568za700za7za7_2804za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1898za7622805z00, BGl_z62lambda1898z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda1897za7622806z00, BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2807za7, BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622808z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1586za7622809z00, BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762lambda1874za7622810z00, BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1585za7622811z00, BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2812za7, BGl_z62zc3z04anonymousza31581ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2572z00zz__evaluate_typesz00, BgL_bgl_string2572za700za7za7_2813za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1579za7622814z00, BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__evaluate_typesz00, BgL_bgl_za762lambda1913za7622815z00, BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1577za7622816z00, BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__evaluate_typesz00, BgL_bgl_za762lambda1912za7622817z00, BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2576z00zz__evaluate_typesz00, BgL_bgl_string2576za700za7za7_2818za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762lambda1918za7622820z00, BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762lambda1917za7622821z00, BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1595za7622822z00, BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622823z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762lambda1923za7622824z00, BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1922za7622825z00, BGl_z62lambda1922z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1928za7622826z00, BGl_z62lambda1928z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1612za7622827z00, BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__evaluate_typesz00, BgL_bgl_za762lambda1927za7622828z00, BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1611za7622829z00, BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2583z00zz__evaluate_typesz00, BgL_bgl_string2583za700za7za7_2830za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2831za7, BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622832z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2588z00zz__evaluate_typesz00, BgL_bgl_string2588za700za7za7_2833za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2834za7, BGl_z62zc3z04anonymousza31908ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__evaluate_typesz00, BgL_bgl_za762lambda1906za7622835z00, BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__evaluate_typesz00, BgL_bgl_za762lambda1904za7622836z00, BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__evaluate_typesz00, BgL_bgl_za762lambda1943za7622837z00, BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__evaluate_typesz00, BgL_bgl_za762lambda1942za7622838z00, BGl_z62lambda1942z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2667z00zz__evaluate_typesz00, BgL_bgl_za762lambda1948za7622839z00, BGl_z62lambda1948z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__evaluate_typesz00, BgL_bgl_za762lambda1947za7622840z00, BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2593z00zz__evaluate_typesz00, BgL_bgl_string2593za700za7za7_2841za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__evaluate_typesz00, BgL_bgl_za762lambda1953za7622842z00, BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__evaluate_typesz00, BgL_bgl_za762lambda1952za7622843z00, BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__evaluate_typesz00, BgL_bgl_za762lambda1958za7622844z00, BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__evaluate_typesz00, BgL_bgl_za762lambda1957za7622845z00, BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__evaluate_typesz00, BgL_bgl_za762lambda1963za7622846z00, BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__evaluate_typesz00, BgL_bgl_za762lambda1962za7622847z00, BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__evaluate_typesz00, BgL_bgl_za762lambda1969za7622849z00, BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__evaluate_typesz00, BgL_bgl_za762lambda1968za7622850z00, BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2851za7, BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2687z00zz__evaluate_typesz00, BgL_bgl_za762lambda1976za7622852z00, BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2688z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622853z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2691z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2854za7, BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2692z00zz__evaluate_typesz00, BgL_bgl_za762lambda1983za7622855z00, BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2693z00zz__evaluate_typesz00, BgL_bgl_za762lambda1982za7622856z00, BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2696z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2857za7, BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2697z00zz__evaluate_typesz00, BgL_bgl_za762lambda1990za7622858z00, BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2698z00zz__evaluate_typesz00, BgL_bgl_za762lambda1989za7622859z00, BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2403z00zz__evaluate_typesz00, BgL_bgl_string2403za700za7za7_2860za7, "type", 4 );
DEFINE_STRING( BGl_string2408z00zz__evaluate_typesz00, BgL_bgl_string2408za700za7za7_2861za7, "ev_var", 6 );
DEFINE_STRING( BGl_string2412z00zz__evaluate_typesz00, BgL_bgl_string2412za700za7za7_2862za7, "loc", 3 );
DEFINE_STRING( BGl_string2418z00zz__evaluate_typesz00, BgL_bgl_string2418za700za7za7_2863za7, "mod", 3 );
DEFINE_STRING( BGl_string2423z00zz__evaluate_typesz00, BgL_bgl_string2423za700za7za7_2864za7, "ev_global", 9 );
DEFINE_STRING( BGl_string2427z00zz__evaluate_typesz00, BgL_bgl_string2427za700za7za7_2865za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1603za7622866z00, BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1627za7622867z00, BGl_z62lambda1627z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1626za7622868z00, BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762lambda1632za7622869z00, BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1631za7622870z00, BGl_z62lambda1631z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622871z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2432z00zz__evaluate_typesz00, BgL_bgl_string2432za700za7za7_2872za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1639za7622873z00, BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2874za7, BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2436z00zz__evaluate_typesz00, BgL_bgl_string2436za700za7za7_2875za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1620za7622876z00, BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622877z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2601z00zz__evaluate_typesz00, BgL_bgl_string2601za700za7za7_2878za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2879za7, BGl_z62zc3z04anonymousza31657ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762lambda1655za7622880z00, BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2440z00zz__evaluate_typesz00, BgL_bgl_string2440za700za7za7_2881za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1652za7622882z00, BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2606z00zz__evaluate_typesz00, BgL_bgl_string2606za700za7za7_2883za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1675za7622884z00, BGl_z62lambda1675z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2444z00zz__evaluate_typesz00, BgL_bgl_string2444za700za7za7_2885za7, "e", 1 );
DEFINE_STRING( BGl_string2449z00zz__evaluate_typesz00, BgL_bgl_string2449za700za7za7_2886za7, "ev_if", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762lambda1674za7622887z00, BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762lambda1680za7622888z00, BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1679za7622889z00, BGl_z62lambda1679z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2890za7, BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2615z00zz__evaluate_typesz00, BgL_bgl_string2615za700za7za7_2891za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1666za7622892z00, BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2453z00zz__evaluate_typesz00, BgL_bgl_string2453za700za7za7_2893za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1664za7622894z00, BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2458z00zz__evaluate_typesz00, BgL_bgl_string2458za700za7za7_2895za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1697za7622896z00, BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2620z00zz__evaluate_typesz00, BgL_bgl_string2620za700za7za7_2897za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762lambda1696za7622898z00, BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1702za7622899z00, BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1701za7622900z00, BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2901za7, BGl_z62zc3z04anonymousza31692ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762lambda1690za7622902z00, BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762lambda1688za7622903z00, BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2463z00zz__evaluate_typesz00, BgL_bgl_string2463za700za7za7_2904za7, "ev_or", 5 );
DEFINE_STRING( BGl_string2468z00zz__evaluate_typesz00, BgL_bgl_string2468za700za7za7_2905za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2701z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2906za7, BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2702z00zz__evaluate_typesz00, BgL_bgl_za762lambda1997za7622907z00, BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2703z00zz__evaluate_typesz00, BgL_bgl_za762lambda1996za7622908z00, BGl_z62lambda1996z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762lambda1718za7622909z00, BGl_z62lambda1718z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2704z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2910za7, BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1717za7622911z00, BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2912za7, BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2705z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622913z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2630z00zz__evaluate_typesz00, BgL_bgl_string2630za700za7za7_2914za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762lambda1401za7622915z00, BGl_z62lambda1401z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2706z00zz__evaluate_typesz00, BgL_bgl_za762lambda1934za7622916z00, BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762lambda1397za7622917z00, BGl_z62lambda1397z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1723za7622918z00, BGl_z62lambda1723z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1722za7622919z00, BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2920za7, BGl_z62zc3z04anonymousza31712ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2472z00zz__evaluate_typesz00, BgL_bgl_string2472za700za7za7_2921za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1710za7622922z00, BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2636z00zz__evaluate_typesz00, BgL_bgl_string2636za700za7za7_2923za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1708za7622924z00, BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1418za7622925z00, BGl_z62lambda1418z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1417za7622926z00, BGl_z62lambda1417z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2476z00zz__evaluate_typesz00, BgL_bgl_string2476za700za7za7_2927za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1738za7622928z00, BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2640z00zz__evaluate_typesz00, BgL_bgl_string2640za700za7za7_2929za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1737za7622930z00, BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1743za7622931z00, BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1742za7622932z00, BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2933za7, BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2481z00zz__evaluate_typesz00, BgL_bgl_string2481za700za7za7_2934za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762lambda1425za7622935z00, BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762lambda1424za7622936z00, BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622937z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1747za7622938z00, BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2647z00zz__evaluate_typesz00, BgL_bgl_string2647za700za7za7_2939za7, "ev_goto", 7 );
DEFINE_STRING( BGl_string2488z00zz__evaluate_typesz00, BgL_bgl_string2488za700za7za7_2940za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1753za7622941z00, BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1752za7622942z00, BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2943za7, BGl_z62zc3z04anonymousza31733ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762lambda1731za7622944z00, BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2653z00zz__evaluate_typesz00, BgL_bgl_string2653za700za7za7_2945za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1729za7622946z00, BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2493z00zz__evaluate_typesz00, BgL_bgl_string2493za700za7za7_2947za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622948z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2659z00zz__evaluate_typesz00, BgL_bgl_string2659za700za7za7_2949za7, "tail?", 5 );
DEFINE_STRING( BGl_string2497z00zz__evaluate_typesz00, BgL_bgl_string2497za700za7za7_2950za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1767za7622951z00, BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622952z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1772za7622953z00, BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2664z00zz__evaluate_typesz00, BgL_bgl_string2664za700za7za7_2954za7, "ev_app", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762lambda1778za7622955z00, BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1777za7622956z00, BGl_z62lambda1777z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2957za7, BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1761za7622958z00, BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1759za7622959z00, BGl_z62lambda1759z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2670z00zz__evaluate_typesz00, BgL_bgl_string2670za700za7za7_2960za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2961za7, BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1794za7622962z00, BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1793za7622963z00, BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2674z00zz__evaluate_typesz00, BgL_bgl_string2674za700za7za7_2964za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2965za7, BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762lambda1786za7622966z00, BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1784za7622967z00, BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2968za7, BGl_z62zc3z04anonymousza31812ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1811za7622969z00, BGl_z62lambda1811z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2683z00zz__evaluate_typesz00, BgL_bgl_string2683za700za7za7_2970za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1810za7622971z00, BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2972za7, BGl_z62zc3z04anonymousza31805ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2685z00zz__evaluate_typesz00, BgL_bgl_string2685za700za7za7_2973za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1803za7622974z00, BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1801za7622975z00, BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2690z00zz__evaluate_typesz00, BgL_bgl_string2690za700za7za7_2976za7, "bind", 4 );
DEFINE_STRING( BGl_string2695z00zz__evaluate_typesz00, BgL_bgl_string2695za700za7za7_2977za7, "free", 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2560z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2567z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2571z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2575z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2582z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2587z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2592z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2402z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2407z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2411z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2417z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2422z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2426z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2431z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2435z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2439z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2600z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2605z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2443z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2448z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2614z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2452z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2619z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2457z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2462z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2629z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2467z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2471z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2635z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2475z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2639z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2480z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2646z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2487z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2652z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2492z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2658z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2496z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2663z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2669z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2673z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2682z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2684z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2689z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2694z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2699z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2501z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2512z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2517z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2521z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2525z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2530z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2539z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2543z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2707z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2383z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2709z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2385z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2389z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2550z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2391z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2556z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2396z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2398z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1938>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1998>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1991>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1984>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1977>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1970>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1908>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31908ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1878>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1832>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1868>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1856>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1849>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1822>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1805>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31805ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1812>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31812ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1788>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1795>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1763>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1733>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31733ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1712>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31712ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1692>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31692ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1668>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1657>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31657ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1622>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1607>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1597>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1581>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31581ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1559>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31559ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1547>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31547ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1532>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31532ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1516>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31516ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1486>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31486ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1470>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31470ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1442>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31442ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1413>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1426>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1403>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4298, char * BgL_fromz00_4299)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2383z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2384z00zz__evaluate_typesz00); 
BGl_symbol2385z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2386z00zz__evaluate_typesz00); 
BGl_symbol2389z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00); 
BGl_symbol2391z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2392z00zz__evaluate_typesz00); 
BGl_symbol2396z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2397z00zz__evaluate_typesz00); 
BGl_symbol2398z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00); 
BGl_symbol2402z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00); 
BGl_symbol2407z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00); 
BGl_symbol2411z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00); 
BGl_symbol2417z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2418z00zz__evaluate_typesz00); 
BGl_symbol2422z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2423z00zz__evaluate_typesz00); 
BGl_symbol2426z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2427z00zz__evaluate_typesz00); 
BGl_symbol2431z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2432z00zz__evaluate_typesz00); 
BGl_symbol2435z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2436z00zz__evaluate_typesz00); 
BGl_symbol2439z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2440z00zz__evaluate_typesz00); 
BGl_symbol2443z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00); 
BGl_symbol2448z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2449z00zz__evaluate_typesz00); 
BGl_symbol2452z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2453z00zz__evaluate_typesz00); 
BGl_symbol2457z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2458z00zz__evaluate_typesz00); 
BGl_symbol2462z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00); 
BGl_symbol2467z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00); 
BGl_symbol2471z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00); 
BGl_symbol2475z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00); 
BGl_symbol2480z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00); 
BGl_symbol2487z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2488z00zz__evaluate_typesz00); 
BGl_symbol2492z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00); 
BGl_symbol2496z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00); 
BGl_symbol2501z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00); 
BGl_symbol2512z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2513z00zz__evaluate_typesz00); 
BGl_symbol2517z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2518z00zz__evaluate_typesz00); 
BGl_symbol2521z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2522z00zz__evaluate_typesz00); 
BGl_symbol2525z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00); 
BGl_symbol2530z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2531z00zz__evaluate_typesz00); 
BGl_symbol2539z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2540z00zz__evaluate_typesz00); 
BGl_symbol2543z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00); 
BGl_symbol2550z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00); 
BGl_symbol2556z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2557z00zz__evaluate_typesz00); 
BGl_symbol2560z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00); 
BGl_symbol2567z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2568z00zz__evaluate_typesz00); 
BGl_symbol2571z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00); 
BGl_symbol2575z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00); 
BGl_symbol2582z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2583z00zz__evaluate_typesz00); 
BGl_symbol2587z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2588z00zz__evaluate_typesz00); 
BGl_symbol2592z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2593z00zz__evaluate_typesz00); 
BGl_symbol2600z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2601z00zz__evaluate_typesz00); 
BGl_symbol2605z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2606z00zz__evaluate_typesz00); 
BGl_symbol2614z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00); 
BGl_symbol2619z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00); 
BGl_symbol2629z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2630z00zz__evaluate_typesz00); 
BGl_symbol2635z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2636z00zz__evaluate_typesz00); 
BGl_symbol2639z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00); 
BGl_symbol2646z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2647z00zz__evaluate_typesz00); 
BGl_symbol2652z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2653z00zz__evaluate_typesz00); 
BGl_symbol2658z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2659z00zz__evaluate_typesz00); 
BGl_symbol2663z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2664z00zz__evaluate_typesz00); 
BGl_symbol2669z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2670z00zz__evaluate_typesz00); 
BGl_symbol2673z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2674z00zz__evaluate_typesz00); 
BGl_symbol2682z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00); 
BGl_symbol2684z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00); 
BGl_symbol2689z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2690z00zz__evaluate_typesz00); 
BGl_symbol2694z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2695z00zz__evaluate_typesz00); 
BGl_symbol2699z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2700z00zz__evaluate_typesz00); 
BGl_symbol2707z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2708z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2709z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2710z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1395z00_1060;obj_t BgL_arg1396z00_1061;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1282z00_1071;
BgL_v1282z00_1071 = 
create_vector(((long)0)); 
BgL_arg1395z00_1060 = BgL_v1282z00_1071; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1283z00_1072;
BgL_v1283z00_1072 = 
create_vector(((long)0)); 
BgL_arg1396z00_1061 = BgL_v1283z00_1072; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2383z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2382z00zz__evaluate_typesz00, BGl_proc2381z00zz__evaluate_typesz00, BFALSE, BGl_proc2380z00zz__evaluate_typesz00, BFALSE, BgL_arg1395z00_1060, BgL_arg1396z00_1061); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1407z00_1079;obj_t BgL_arg1408z00_1080;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1284z00_1093;
BgL_v1284z00_1093 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1284z00_1093,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1093,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2396z00zz__evaluate_typesz00, BGl_proc2395z00zz__evaluate_typesz00, BGl_proc2394z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2393z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1093,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2402z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1407z00_1079 = BgL_v1284z00_1093; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1285z00_1127;
BgL_v1285z00_1127 = 
create_vector(((long)0)); 
BgL_arg1408z00_1080 = BgL_v1285z00_1127; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2407z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2406z00zz__evaluate_typesz00, BGl_proc2405z00zz__evaluate_typesz00, BFALSE, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BgL_arg1407z00_1079, BgL_arg1408z00_1080); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1436z00_1134;obj_t BgL_arg1437z00_1135;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1286z00_1148;
BgL_v1286z00_1148 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1148,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1148,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1148,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2417z00zz__evaluate_typesz00, BGl_proc2416z00zz__evaluate_typesz00, BGl_proc2415z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1436z00_1134 = BgL_v1286z00_1148; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1287z00_1179;
BgL_v1287z00_1179 = 
create_vector(((long)0)); 
BgL_arg1437z00_1135 = BgL_v1287z00_1179; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2422z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2421z00zz__evaluate_typesz00, BGl_proc2420z00zz__evaluate_typesz00, BFALSE, BGl_proc2419z00zz__evaluate_typesz00, BFALSE, BgL_arg1436z00_1134, BgL_arg1437z00_1135); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1464z00_1186;obj_t BgL_arg1465z00_1187;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1288z00_1198;
BgL_v1288z00_1198 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1288z00_1198,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2426z00zz__evaluate_typesz00, BGl_proc2425z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1464z00_1186 = BgL_v1288z00_1198; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1289z00_1209;
BgL_v1289z00_1209 = 
create_vector(((long)0)); 
BgL_arg1465z00_1187 = BgL_v1289z00_1209; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2431z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2430z00zz__evaluate_typesz00, BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BGl_proc2428z00zz__evaluate_typesz00, BFALSE, BgL_arg1464z00_1186, BgL_arg1465z00_1187); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1480z00_1216;obj_t BgL_arg1481z00_1217;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1290z00_1230;
BgL_v1290z00_1230 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1290z00_1230,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2435z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, BGl_proc2433z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1230,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2439z00zz__evaluate_typesz00, BGl_proc2438z00zz__evaluate_typesz00, BGl_proc2437z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1230,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2442z00zz__evaluate_typesz00, BGl_proc2441z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1480z00_1216 = BgL_v1290z00_1230; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1291z00_1261;
BgL_v1291z00_1261 = 
create_vector(((long)0)); 
BgL_arg1481z00_1217 = BgL_v1291z00_1261; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2448z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2447z00zz__evaluate_typesz00, BGl_proc2446z00zz__evaluate_typesz00, BFALSE, BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BgL_arg1480z00_1216, BgL_arg1481z00_1217); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1508z00_1268;obj_t BgL_arg1509z00_1269;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1292z00_1280;
BgL_v1292z00_1280 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1292z00_1280,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2452z00zz__evaluate_typesz00, BGl_proc2451z00zz__evaluate_typesz00, BGl_proc2450z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1508z00_1268 = BgL_v1292z00_1280; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1293z00_1291;
BgL_v1293z00_1291 = 
create_vector(((long)0)); 
BgL_arg1509z00_1269 = BgL_v1293z00_1291; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2457z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2456z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BGl_proc2454z00zz__evaluate_typesz00, BFALSE, BgL_arg1508z00_1268, BgL_arg1509z00_1269); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1526z00_1298;obj_t BgL_arg1527z00_1299;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1294z00_1310;
BgL_v1294z00_1310 = 
create_vector(((long)0)); 
BgL_arg1526z00_1298 = BgL_v1294z00_1310; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1295z00_1311;
BgL_v1295z00_1311 = 
create_vector(((long)0)); 
BgL_arg1527z00_1299 = BgL_v1295z00_1311; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2462z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BFALSE, BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BgL_arg1526z00_1298, BgL_arg1527z00_1299); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1540z00_1318;obj_t BgL_arg1542z00_1319;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1296z00_1330;
BgL_v1296z00_1330 = 
create_vector(((long)0)); 
BgL_arg1540z00_1318 = BgL_v1296z00_1330; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1297z00_1331;
BgL_v1297z00_1331 = 
create_vector(((long)0)); 
BgL_arg1542z00_1319 = BgL_v1297z00_1331; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2467z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2466z00zz__evaluate_typesz00, BGl_proc2465z00zz__evaluate_typesz00, BFALSE, BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1540z00_1318, BgL_arg1542z00_1319); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1553z00_1338;obj_t BgL_arg1554z00_1339;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1298z00_1351;
BgL_v1298z00_1351 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1298z00_1351,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1298z00_1351,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1553z00_1338 = BgL_v1298z00_1351; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1299z00_1372;
BgL_v1299z00_1372 = 
create_vector(((long)0)); 
BgL_arg1554z00_1339 = BgL_v1299z00_1372; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2480z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1553z00_1338, BgL_arg1554z00_1339); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1575z00_1379;obj_t BgL_arg1576z00_1380;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1300z00_1391;
BgL_v1300z00_1391 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1300z00_1391,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1575z00_1379 = BgL_v1300z00_1391; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1301z00_1402;
BgL_v1301z00_1402 = 
create_vector(((long)0)); 
BgL_arg1576z00_1380 = BgL_v1301z00_1402; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2487z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2486z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, BFALSE, BGl_proc2484z00zz__evaluate_typesz00, BFALSE, BgL_arg1575z00_1379, BgL_arg1576z00_1380); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1591z00_1409;obj_t BgL_arg1592z00_1410;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1302z00_1421;
BgL_v1302z00_1421 = 
create_vector(((long)0)); 
BgL_arg1591z00_1409 = BgL_v1302z00_1421; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1303z00_1422;
BgL_v1303z00_1422 = 
create_vector(((long)0)); 
BgL_arg1592z00_1410 = BgL_v1303z00_1422; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2492z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2491z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, BFALSE, BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BgL_arg1591z00_1409, BgL_arg1592z00_1410); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1601z00_1429;obj_t BgL_arg1602z00_1430;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1304z00_1442;
BgL_v1304z00_1442 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1304z00_1442,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1601z00_1429 = BgL_v1304z00_1442; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1305z00_1453;
BgL_v1305z00_1453 = 
create_vector(((long)0)); 
BgL_arg1602z00_1430 = BgL_v1305z00_1453; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2501z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BFALSE, BGl_proc2498z00zz__evaluate_typesz00, BFALSE, BgL_arg1601z00_1429, BgL_arg1602z00_1430); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1616z00_1460;obj_t BgL_arg1617z00_1461;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1306z00_1475;
BgL_v1306z00_1475 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1306z00_1475,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1475,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2506z00zz__evaluate_typesz00, BGl_proc2505z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1475,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2417z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BGl_proc2507z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1616z00_1460 = BgL_v1306z00_1475; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1307z00_1506;
BgL_v1307z00_1506 = 
create_vector(((long)0)); 
BgL_arg1617z00_1461 = BgL_v1307z00_1506; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2512z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2511z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, BFALSE, BGl_proc2509z00zz__evaluate_typesz00, BFALSE, BgL_arg1616z00_1460, BgL_arg1617z00_1461); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1650z00_1513;obj_t BgL_arg1651z00_1514;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1308z00_1528;
BgL_v1308z00_1528 = 
create_vector(((long)0)); 
BgL_arg1650z00_1513 = BgL_v1308z00_1528; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1309z00_1529;
BgL_v1309z00_1529 = 
create_vector(((long)0)); 
BgL_arg1651z00_1514 = BgL_v1309z00_1529; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2517z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2516z00zz__evaluate_typesz00, BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BGl_proc2514z00zz__evaluate_typesz00, BFALSE, BgL_arg1650z00_1513, BgL_arg1651z00_1514); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1662z00_1536;obj_t BgL_arg1663z00_1537;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1310z00_1549;
BgL_v1310z00_1549 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1310z00_1549,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2521z00zz__evaluate_typesz00, BGl_proc2520z00zz__evaluate_typesz00, BGl_proc2519z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1310z00_1549,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2524z00zz__evaluate_typesz00, BGl_proc2523z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1662z00_1536 = BgL_v1310z00_1549; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1311z00_1570;
BgL_v1311z00_1570 = 
create_vector(((long)0)); 
BgL_arg1663z00_1537 = BgL_v1311z00_1570; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2530z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2529z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, BFALSE, BGl_proc2527z00zz__evaluate_typesz00, BFALSE, BgL_arg1662z00_1536, BgL_arg1663z00_1537); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1686z00_1577;obj_t BgL_arg1687z00_1578;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1312z00_1590;
BgL_v1312z00_1590 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1312z00_1590,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_proc2533z00zz__evaluate_typesz00, BGl_proc2532z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1590,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1686z00_1577 = BgL_v1312z00_1590; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1313z00_1611;
BgL_v1313z00_1611 = 
create_vector(((long)0)); 
BgL_arg1687z00_1578 = BgL_v1313z00_1611; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2539z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2538z00zz__evaluate_typesz00, BGl_proc2537z00zz__evaluate_typesz00, BFALSE, BGl_proc2536z00zz__evaluate_typesz00, BFALSE, BgL_arg1686z00_1577, BgL_arg1687z00_1578); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1706z00_1618;obj_t BgL_arg1707z00_1619;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1314z00_1631;
BgL_v1314z00_1631 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1314z00_1631,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2543z00zz__evaluate_typesz00, BGl_proc2542z00zz__evaluate_typesz00, BGl_proc2541z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1631,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1706z00_1618 = BgL_v1314z00_1631; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1315z00_1652;
BgL_v1315z00_1652 = 
create_vector(((long)0)); 
BgL_arg1707z00_1619 = BgL_v1315z00_1652; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, BFALSE, BGl_proc2547z00zz__evaluate_typesz00, BFALSE, BgL_arg1706z00_1618, BgL_arg1707z00_1619); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1727z00_1659;obj_t BgL_arg1728z00_1660;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1316z00_1674;
BgL_v1316z00_1674 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1316z00_1674,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2556z00zz__evaluate_typesz00, BGl_proc2555z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2560z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1727z00_1659 = BgL_v1316z00_1674; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1317z00_1715;
BgL_v1317z00_1715 = 
create_vector(((long)0)); 
BgL_arg1728z00_1660 = BgL_v1317z00_1715; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2567z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2566z00zz__evaluate_typesz00, BGl_proc2565z00zz__evaluate_typesz00, BFALSE, BGl_proc2564z00zz__evaluate_typesz00, BFALSE, BgL_arg1727z00_1659, BgL_arg1728z00_1660); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1757z00_1722;obj_t BgL_arg1758z00_1723;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1318z00_1736;
BgL_v1318z00_1736 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1318z00_1736,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1736,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1736,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, BGl_proc2577z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1757z00_1722 = BgL_v1318z00_1736; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1319z00_1767;
BgL_v1319z00_1767 = 
create_vector(((long)0)); 
BgL_arg1758z00_1723 = BgL_v1319z00_1767; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2582z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2581z00zz__evaluate_typesz00, BGl_proc2580z00zz__evaluate_typesz00, BFALSE, BGl_proc2579z00zz__evaluate_typesz00, BFALSE, BgL_arg1757z00_1722, BgL_arg1758z00_1723); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1782z00_1774;obj_t BgL_arg1783z00_1775;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1320z00_1789;
BgL_v1320z00_1789 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1320z00_1789,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2584z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1782z00_1774 = BgL_v1320z00_1789; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1321z00_1803;
BgL_v1321z00_1803 = 
create_vector(((long)0)); 
BgL_arg1783z00_1775 = BgL_v1321z00_1803; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2592z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2591z00zz__evaluate_typesz00, BGl_proc2590z00zz__evaluate_typesz00, BFALSE, BGl_proc2589z00zz__evaluate_typesz00, BFALSE, BgL_arg1782z00_1774, BgL_arg1783z00_1775); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1799z00_1810;obj_t BgL_arg1800z00_1811;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1322z00_1825;
BgL_v1322z00_1825 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1322z00_1825,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, BGl_proc2595z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2594z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1799z00_1810 = BgL_v1322z00_1825; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1323z00_1839;
BgL_v1323z00_1839 = 
create_vector(((long)0)); 
BgL_arg1800z00_1811 = BgL_v1323z00_1839; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2600z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2599z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, BFALSE, BGl_proc2597z00zz__evaluate_typesz00, BFALSE, BgL_arg1799z00_1810, BgL_arg1800z00_1811); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1816z00_1846;obj_t BgL_arg1817z00_1847;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1324z00_1860;
BgL_v1324z00_1860 = 
create_vector(((long)0)); 
BgL_arg1816z00_1846 = BgL_v1324z00_1860; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1325z00_1861;
BgL_v1325z00_1861 = 
create_vector(((long)0)); 
BgL_arg1817z00_1847 = BgL_v1325z00_1861; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2605z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2604z00zz__evaluate_typesz00, BGl_proc2603z00zz__evaluate_typesz00, BFALSE, BGl_proc2602z00zz__evaluate_typesz00, BFALSE, BgL_arg1816z00_1846, BgL_arg1817z00_1847); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1826z00_1868;obj_t BgL_arg1827z00_1869;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1326z00_1885;
BgL_v1326z00_1885 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1326z00_1885,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2575z00zz__evaluate_typesz00, BGl_proc2610z00zz__evaluate_typesz00, BGl_proc2609z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2614z00zz__evaluate_typesz00, BGl_proc2613z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2611z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2619z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2616z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2623z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1826z00_1868 = BgL_v1326z00_1885; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1327z00_1955;
BgL_v1327z00_1955 = 
create_vector(((long)0)); 
BgL_arg1827z00_1869 = BgL_v1327z00_1955; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2629z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2628z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, BFALSE, BGl_proc2626z00zz__evaluate_typesz00, BFALSE, BgL_arg1826z00_1868, BgL_arg1827z00_1869); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1872z00_1962;obj_t BgL_arg1873z00_1963;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1328z00_1977;
BgL_v1328z00_1977 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1328z00_1977,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, BGl_proc2633z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, BGl_proc2637z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2452z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1872z00_1962 = BgL_v1328z00_1977; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1329z00_2018;
BgL_v1329z00_2018 = 
create_vector(((long)0)); 
BgL_arg1873z00_1963 = BgL_v1329z00_2018; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2646z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2645z00zz__evaluate_typesz00, BGl_proc2644z00zz__evaluate_typesz00, BFALSE, BGl_proc2643z00zz__evaluate_typesz00, BFALSE, BgL_arg1872z00_1962, BgL_arg1873z00_1963); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1902z00_2025;obj_t BgL_arg1903z00_2026;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1330z00_2040;
BgL_v1330z00_2040 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1330z00_2040,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2649z00zz__evaluate_typesz00, BGl_proc2648z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2652z00zz__evaluate_typesz00, BGl_proc2651z00zz__evaluate_typesz00, BGl_proc2650z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2452z00zz__evaluate_typesz00, BGl_proc2655z00zz__evaluate_typesz00, BGl_proc2654z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2658z00zz__evaluate_typesz00, BGl_proc2657z00zz__evaluate_typesz00, BGl_proc2656z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1902z00_2025 = BgL_v1330z00_2040; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1331z00_2081;
BgL_v1331z00_2081 = 
create_vector(((long)0)); 
BgL_arg1903z00_2026 = BgL_v1331z00_2081; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2663z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2662z00zz__evaluate_typesz00, BGl_proc2661z00zz__evaluate_typesz00, BFALSE, BGl_proc2660z00zz__evaluate_typesz00, BFALSE, BgL_arg1902z00_2025, BgL_arg1903z00_2026); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1932z00_2088;obj_t BgL_arg1933z00_2089;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1332z00_2109;
BgL_v1332z00_2109 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1332z00_2109,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2666z00zz__evaluate_typesz00, BGl_proc2665z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2669z00zz__evaluate_typesz00, BGl_proc2668z00zz__evaluate_typesz00, BGl_proc2667z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2673z00zz__evaluate_typesz00, BGl_proc2672z00zz__evaluate_typesz00, BGl_proc2671z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2676z00zz__evaluate_typesz00, BGl_proc2675z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2678z00zz__evaluate_typesz00, BGl_proc2677z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2682z00zz__evaluate_typesz00, BGl_proc2681z00zz__evaluate_typesz00, BGl_proc2680z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2679z00zz__evaluate_typesz00, BGl_symbol2684z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2689z00zz__evaluate_typesz00, BGl_proc2688z00zz__evaluate_typesz00, BGl_proc2687z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2686z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2694z00zz__evaluate_typesz00, BGl_proc2693z00zz__evaluate_typesz00, BGl_proc2692z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2691z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2699z00zz__evaluate_typesz00, BGl_proc2698z00zz__evaluate_typesz00, BGl_proc2697z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2696z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_proc2703z00zz__evaluate_typesz00, BGl_proc2702z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2701z00zz__evaluate_typesz00, BGl_symbol2398z00zz__evaluate_typesz00)); 
BgL_arg1932z00_2088 = BgL_v1332z00_2109; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1333z00_2225;
BgL_v1333z00_2225 = 
create_vector(((long)0)); 
BgL_arg1933z00_2089 = BgL_v1333z00_2225; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2707z00zz__evaluate_typesz00, BGl_symbol2385z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2706z00zz__evaluate_typesz00, BGl_proc2705z00zz__evaluate_typesz00, BFALSE, BGl_proc2704z00zz__evaluate_typesz00, BFALSE, BgL_arg1932z00_2088, BgL_arg1933z00_2089), BUNSPEC) ;} } 

}



/* &<@anonymous:1938> */
obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_new1190z00_3384)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_auxz00_4566;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4575;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_3859;
BgL_classz00_3859 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1281z00_3860;
BgL__ortest_1281z00_3860 = 
BGL_CLASS_NIL(BgL_classz00_3859); 
if(
CBOOL(BgL__ortest_1281z00_3860))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4575 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3860)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4575 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3859))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4575),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3384)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4566 = 
((BgL_ev_absz00_bglt)BgL_new1190z00_3384); 
return 
((obj_t)BgL_auxz00_4566);} } 

}



/* &lambda1936 */
BgL_ev_absz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3385)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1189z00_3861;
BgL_new1189z00_3861 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1937z00_3862;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2329z00_3863;
BgL_res2329z00_3863 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1937z00_3862 = BgL_res2329z00_3863; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_3861), BgL_arg1937z00_3862); } 
return BgL_new1189z00_3861;} } 

}



/* &lambda1934 */
BgL_ev_absz00_bglt BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_loc1179z00_3387, obj_t BgL_where1180z00_3388, obj_t BgL_arity1181z00_3389, obj_t BgL_vars1182z00_3390, obj_t BgL_body1183z00_3391, obj_t BgL_siza7e1184za7_3392, obj_t BgL_bind1185z00_3393, obj_t BgL_free1186z00_3394, obj_t BgL_inner1187z00_3395, obj_t BgL_boxes1188z00_3396)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1184za7_3865;
BgL_siza7e1184za7_3865 = 
CINT(BgL_siza7e1184za7_3392); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1242z00_3866;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3867;
BgL_new1241z00_3867 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1935z00_3868;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2328z00_3869;
BgL_res2328z00_3869 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1935z00_3868 = BgL_res2328z00_3869; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3867), BgL_arg1935z00_3868); } 
BgL_new1242z00_3866 = BgL_new1241z00_3867; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_locz00)=((obj_t)BgL_loc1179z00_3387),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_wherez00)=((obj_t)BgL_where1180z00_3388),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_arityz00)=((obj_t)BgL_arity1181z00_3389),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_varsz00)=((obj_t)BgL_vars1182z00_3390),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1183z00_3391)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_siza7eza7)=((int)BgL_siza7e1184za7_3865),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_bindz00)=((obj_t)BgL_bind1185z00_3393),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_freez00)=((obj_t)BgL_free1186z00_3394),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_innerz00)=((obj_t)BgL_inner1187z00_3395),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3866))->BgL_boxesz00)=((obj_t)BgL_boxes1188z00_3396),BUNSPEC); 
return BgL_new1242z00_3866;} } } 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3397)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1997 */
obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3399)))->BgL_boxesz00)=((obj_t)BgL_vz00_3400),BUNSPEC);} 

}



/* &lambda1996 */
obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3402)))->BgL_boxesz00);} 

}



/* &<@anonymous:1991> */
obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_innerz00)=((obj_t)BgL_vz00_3406),BUNSPEC);} 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_innerz00);} 

}



/* &<@anonymous:1984> */
obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3409)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411, obj_t BgL_vz00_3412)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3411)))->BgL_freez00)=((obj_t)BgL_vz00_3412),BUNSPEC);} 

}



/* &lambda1982 */
obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t BgL_envz00_3413, obj_t BgL_oz00_3414)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3414)))->BgL_freez00);} 

}



/* &<@anonymous:1977> */
obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3415)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3416, obj_t BgL_oz00_3417, obj_t BgL_vz00_3418)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3417)))->BgL_bindz00)=((obj_t)BgL_vz00_3418),BUNSPEC);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_oz00_3420)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3420)))->BgL_bindz00);} 

}



/* &<@anonymous:1970> */
obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3421)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3879;
BgL_vz00_3879 = 
CINT(BgL_vz00_3424); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3423)))->BgL_siza7eza7)=((int)BgL_vz00_3879),BUNSPEC);} } 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3425, obj_t BgL_oz00_3426)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3426)))->BgL_siza7eza7));} 

}



/* &lambda1963 */
obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3428)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3429)),BUNSPEC);} 

}



/* &lambda1962 */
BgL_ev_exprz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3431)))->BgL_bodyz00);} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433, obj_t BgL_vz00_3434)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3433)))->BgL_varsz00)=((obj_t)BgL_vz00_3434),BUNSPEC);} 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3436)))->BgL_varsz00);} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3438)))->BgL_arityz00)=((obj_t)BgL_vz00_3439),BUNSPEC);} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3441)))->BgL_arityz00);} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3443)))->BgL_wherez00)=((obj_t)BgL_vz00_3444),BUNSPEC);} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3446)))->BgL_wherez00);} 

}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3448)))->BgL_locz00)=((obj_t)BgL_vz00_3449),BUNSPEC);} 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3451)))->BgL_locz00);} 

}



/* &<@anonymous:1908> */
obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3452, obj_t BgL_new1177z00_3453)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_auxz00_4661;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3453)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4664;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_3893;
BgL_classz00_3893 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1281z00_3894;
BgL__ortest_1281z00_3894 = 
BGL_CLASS_NIL(BgL_classz00_3893); 
if(
CBOOL(BgL__ortest_1281z00_3894))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4664 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3894)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4664 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3893))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3453)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4664),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3453)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3453)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4661 = 
((BgL_ev_appz00_bglt)BgL_new1177z00_3453); 
return 
((obj_t)BgL_auxz00_4661);} } 

}



/* &lambda1906 */
BgL_ev_appz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t BgL_envz00_3454)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1176z00_3895;
BgL_new1176z00_3895 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1907z00_3896;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2327z00_3897;
BgL_res2327z00_3897 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1907z00_3896 = BgL_res2327z00_3897; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3895), BgL_arg1907z00_3896); } 
return BgL_new1176z00_3895;} } 

}



/* &lambda1904 */
BgL_ev_appz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_loc1172z00_3456, obj_t BgL_fun1173z00_3457, obj_t BgL_args1174z00_3458, obj_t BgL_tailzf31175zf3_3459)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1240z00_3899;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3900;
BgL_new1239z00_3900 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1905z00_3901;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2326z00_3902;
BgL_res2326z00_3902 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1905z00_3901 = BgL_res2326z00_3902; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3900), BgL_arg1905z00_3901); } 
BgL_new1240z00_3899 = BgL_new1239z00_3900; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3899))->BgL_locz00)=((obj_t)BgL_loc1172z00_3456),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3899))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1173z00_3457)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3899))->BgL_argsz00)=((obj_t)BgL_args1174z00_3458),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3899))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31175zf3_3459),BUNSPEC); 
return BgL_new1240z00_3899;} } 

}



/* &lambda1928 */
obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3461)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3462),BUNSPEC);} 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3464)))->BgL_tailzf3zf3);} 

}



/* &lambda1923 */
obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3466)))->BgL_argsz00)=((obj_t)BgL_vz00_3467),BUNSPEC);} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3469)))->BgL_argsz00);} 

}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_oz00_3471, obj_t BgL_vz00_3472)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3471)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3472)),BUNSPEC);} 

}



/* &lambda1917 */
BgL_ev_exprz00_bglt BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_oz00_3474)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3474)))->BgL_funz00);} 

}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3475, obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3476)))->BgL_locz00)=((obj_t)BgL_vz00_3477),BUNSPEC);} 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_oz00_3479)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3479)))->BgL_locz00);} 

}



/* &<@anonymous:1878> */
obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3480, obj_t BgL_new1170z00_3481)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4709;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3481)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4712;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3913;
BgL_classz00_3913 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3914;
BgL__ortest_1281z00_3914 = 
BGL_CLASS_NIL(BgL_classz00_3913); 
if(
CBOOL(BgL__ortest_1281z00_3914))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4712 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_3914)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4712 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3913))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3481)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4712),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4721;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3915;
BgL_classz00_3915 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3916;
BgL__ortest_1281z00_3916 = 
BGL_CLASS_NIL(BgL_classz00_3915); 
if(
CBOOL(BgL__ortest_1281z00_3916))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4721 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1281z00_3916)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4721 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3915))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3481)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4721),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3481)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4709 = 
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3481); 
return 
((obj_t)BgL_auxz00_4709);} } 

}



/* &lambda1876 */
BgL_ev_gotoz00_bglt BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3482)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1169z00_3917;
BgL_new1169z00_3917 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1877z00_3918;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2325z00_3919;
BgL_res2325z00_3919 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1877z00_3918 = BgL_res2325z00_3919; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_3917), BgL_arg1877z00_3918); } 
return BgL_new1169z00_3917;} } 

}



/* &lambda1874 */
BgL_ev_gotoz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_loc1165z00_3484, obj_t BgL_label1166z00_3485, obj_t BgL_labels1167z00_3486, obj_t BgL_args1168z00_3487)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1238z00_3922;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3923;
BgL_new1237z00_3923 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1875z00_3924;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2324z00_3925;
BgL_res2324z00_3925 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1875z00_3924 = BgL_res2324z00_3925; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3923), BgL_arg1875z00_3924); } 
BgL_new1238z00_3922 = BgL_new1237z00_3923; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3922))->BgL_locz00)=((obj_t)BgL_loc1165z00_3484),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3922))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1166z00_3485)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3922))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1167z00_3486)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3922))->BgL_argsz00)=((obj_t)BgL_args1168z00_3487),BUNSPEC); 
return BgL_new1238z00_3922;} } 

}



/* &lambda1898 */
obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t BgL_envz00_3488, obj_t BgL_oz00_3489, obj_t BgL_vz00_3490)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3489)))->BgL_argsz00)=((obj_t)BgL_vz00_3490),BUNSPEC);} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3492)))->BgL_argsz00);} 

}



/* &lambda1893 */
obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t BgL_envz00_3493, obj_t BgL_oz00_3494, obj_t BgL_vz00_3495)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3494)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3495)),BUNSPEC);} 

}



/* &lambda1892 */
BgL_ev_labelsz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t BgL_envz00_3496, obj_t BgL_oz00_3497)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3497)))->BgL_labelsz00);} 

}



/* &lambda1888 */
obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3499)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3500)),BUNSPEC);} 

}



/* &lambda1887 */
BgL_ev_varz00_bglt BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3501, obj_t BgL_oz00_3502)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3502)))->BgL_labelz00);} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3504)))->BgL_locz00)=((obj_t)BgL_vz00_3505),BUNSPEC);} 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3507)))->BgL_locz00);} 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3508, obj_t BgL_new1163z00_3509)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4766;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4775;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_3937;
BgL_classz00_3937 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1281z00_3938;
BgL__ortest_1281z00_3938 = 
BGL_CLASS_NIL(BgL_classz00_3937); 
if(
CBOOL(BgL__ortest_1281z00_3938))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4775 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3938)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4775 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3937))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4775),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4766 = 
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3509); 
return 
((obj_t)BgL_auxz00_4766);} } 

}



/* &lambda1830 */
BgL_ev_labelsz00_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t BgL_envz00_3510)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1162z00_3939;
BgL_new1162z00_3939 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1831z00_3940;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2323z00_3941;
BgL_res2323z00_3941 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1831z00_3940 = BgL_res2323z00_3941; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_3939), BgL_arg1831z00_3940); } 
return BgL_new1162z00_3939;} } 

}



/* &lambda1828 */
BgL_ev_labelsz00_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_vars1156z00_3512, obj_t BgL_vals1157z00_3513, obj_t BgL_env1158z00_3514, obj_t BgL_stk1159z00_3515, obj_t BgL_body1160z00_3516, obj_t BgL_boxes1161z00_3517)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1236z00_3943;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3944;
BgL_new1235z00_3944 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1829z00_3945;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2322z00_3946;
BgL_res2322z00_3946 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1829z00_3945 = BgL_res2322z00_3946; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3944), BgL_arg1829z00_3945); } 
BgL_new1236z00_3943 = BgL_new1235z00_3944; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_varsz00)=((obj_t)BgL_vars1156z00_3512),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_valsz00)=((obj_t)BgL_vals1157z00_3513),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_envz00)=((obj_t)BgL_env1158z00_3514),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_stkz00)=((obj_t)BgL_stk1159z00_3515),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1160z00_3516)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3943))->BgL_boxesz00)=((obj_t)BgL_boxes1161z00_3517),BUNSPEC); 
return BgL_new1236z00_3943;} } 

}



/* &<@anonymous:1868> */
obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3518)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t BgL_envz00_3519, obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3520)))->BgL_boxesz00)=((obj_t)BgL_vz00_3521),BUNSPEC);} 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3522, obj_t BgL_oz00_3523)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3523)))->BgL_boxesz00);} 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t BgL_envz00_3524, obj_t BgL_oz00_3525, obj_t BgL_vz00_3526)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3525)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3526)),BUNSPEC);} 

}



/* &lambda1860 */
BgL_ev_exprz00_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t BgL_envz00_3527, obj_t BgL_oz00_3528)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3528)))->BgL_bodyz00);} 

}



/* &<@anonymous:1856> */
obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3529)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1855 */
obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t BgL_envz00_3530, obj_t BgL_oz00_3531, obj_t BgL_vz00_3532)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3531)))->BgL_stkz00)=((obj_t)BgL_vz00_3532),BUNSPEC);} 

}



/* &lambda1854 */
obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3534)))->BgL_stkz00);} 

}



/* &<@anonymous:1849> */
obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3535)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3536, obj_t BgL_oz00_3537, obj_t BgL_vz00_3538)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3537)))->BgL_envz00)=((obj_t)BgL_vz00_3538),BUNSPEC);} 

}



/* &lambda1847 */
obj_t BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t BgL_envz00_3539, obj_t BgL_oz00_3540)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3540)))->BgL_envz00);} 

}



/* &lambda1842 */
obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t BgL_envz00_3541, obj_t BgL_oz00_3542, obj_t BgL_vz00_3543)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3542)))->BgL_valsz00)=((obj_t)BgL_vz00_3543),BUNSPEC);} 

}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t BgL_envz00_3544, obj_t BgL_oz00_3545)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3545)))->BgL_valsz00);} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547, obj_t BgL_vz00_3548)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3547)))->BgL_varsz00)=((obj_t)BgL_vz00_3548),BUNSPEC);} 

}



/* &lambda1836 */
obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t BgL_envz00_3549, obj_t BgL_oz00_3550)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3550)))->BgL_varsz00);} 

}



/* &<@anonymous:1822> */
obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_new1154z00_3552)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4828;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3552))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3552))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4835;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_3961;
BgL_classz00_3961 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1281z00_3962;
BgL__ortest_1281z00_3962 = 
BGL_CLASS_NIL(BgL_classz00_3961); 
if(
CBOOL(BgL__ortest_1281z00_3962))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4835 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3962)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4835 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3961))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3552))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4835),BUNSPEC); } 
BgL_auxz00_4828 = 
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3552); 
return 
((obj_t)BgL_auxz00_4828);} } 

}



/* &lambda1820 */
BgL_ev_letrecz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3553)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1153z00_3963;
BgL_new1153z00_3963 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1821z00_3964;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2321z00_3965;
BgL_res2321z00_3965 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1821z00_3964 = BgL_res2321z00_3965; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3963), BgL_arg1821z00_3964); } 
return BgL_new1153z00_3963;} } 

}



/* &lambda1818 */
BgL_ev_letrecz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_vars1150z00_3555, obj_t BgL_vals1151z00_3556, obj_t BgL_body1152z00_3557)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1234z00_3967;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3968;
BgL_new1233z00_3968 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1819z00_3969;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2320z00_3970;
BgL_res2320z00_3970 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1819z00_3969 = BgL_res2320z00_3970; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3968), BgL_arg1819z00_3969); } 
BgL_new1234z00_3967 = BgL_new1233z00_3968; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3967)))->BgL_varsz00)=((obj_t)BgL_vars1150z00_3555),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3967)))->BgL_valsz00)=((obj_t)BgL_vals1151z00_3556),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3967)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1152z00_3557)),BUNSPEC); 
return BgL_new1234z00_3967;} } 

}



/* &<@anonymous:1805> */
obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3558, obj_t BgL_new1148z00_3559)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4862;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3559))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3559))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4869;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_3972;
BgL_classz00_3972 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1281z00_3973;
BgL__ortest_1281z00_3973 = 
BGL_CLASS_NIL(BgL_classz00_3972); 
if(
CBOOL(BgL__ortest_1281z00_3973))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4869 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3973)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4869 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3972))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3559))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4869),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3559)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4862 = 
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3559); 
return 
((obj_t)BgL_auxz00_4862);} } 

}



/* &lambda1803 */
BgL_ev_letza2za2_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t BgL_envz00_3560)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1147z00_3974;
BgL_new1147z00_3974 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1804z00_3975;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2319z00_3976;
BgL_res2319z00_3976 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1804z00_3975 = BgL_res2319z00_3976; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_3974), BgL_arg1804z00_3975); } 
return BgL_new1147z00_3974;} } 

}



/* &lambda1801 */
BgL_ev_letza2za2_bglt BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3561, obj_t BgL_vars1143z00_3562, obj_t BgL_vals1144z00_3563, obj_t BgL_body1145z00_3564, obj_t BgL_boxes1146z00_3565)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1232z00_3978;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3979;
BgL_new1231z00_3979 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1802z00_3980;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2318z00_3981;
BgL_res2318z00_3981 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1802z00_3980 = BgL_res2318z00_3981; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3979), BgL_arg1802z00_3980); } 
BgL_new1232z00_3978 = BgL_new1231z00_3979; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3978)))->BgL_varsz00)=((obj_t)BgL_vars1143z00_3562),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3978)))->BgL_valsz00)=((obj_t)BgL_vals1144z00_3563),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3978)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1145z00_3564)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1232z00_3978))->BgL_boxesz00)=((obj_t)BgL_boxes1146z00_3565),BUNSPEC); 
return BgL_new1232z00_3978;} } 

}



/* &<@anonymous:1812> */
obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3566)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1811 */
obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t BgL_envz00_3567, obj_t BgL_oz00_3568, obj_t BgL_vz00_3569)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3568)))->BgL_boxesz00)=((obj_t)BgL_vz00_3569),BUNSPEC);} 

}



/* &lambda1810 */
obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3571)))->BgL_boxesz00);} 

}



/* &<@anonymous:1788> */
obj_t BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3572, obj_t BgL_new1141z00_3573)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_auxz00_4903;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3573))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3573))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4910;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_3985;
BgL_classz00_3985 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1281z00_3986;
BgL__ortest_1281z00_3986 = 
BGL_CLASS_NIL(BgL_classz00_3985); 
if(
CBOOL(BgL__ortest_1281z00_3986))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4910 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3986)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4910 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3985))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3573))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4910),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1141z00_3573)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4903 = 
((BgL_ev_letz00_bglt)BgL_new1141z00_3573); 
return 
((obj_t)BgL_auxz00_4903);} } 

}



/* &lambda1786 */
BgL_ev_letz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3574)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1140z00_3987;
BgL_new1140z00_3987 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1787z00_3988;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2317z00_3989;
BgL_res2317z00_3989 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1787z00_3988 = BgL_res2317z00_3989; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_3987), BgL_arg1787z00_3988); } 
return BgL_new1140z00_3987;} } 

}



/* &lambda1784 */
BgL_ev_letz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_vars1136z00_3576, obj_t BgL_vals1137z00_3577, obj_t BgL_body1138z00_3578, obj_t BgL_boxes1139z00_3579)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1230z00_3991;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3992;
BgL_new1229z00_3992 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1785z00_3993;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2316z00_3994;
BgL_res2316z00_3994 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1785z00_3993 = BgL_res2316z00_3994; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3992), BgL_arg1785z00_3993); } 
BgL_new1230z00_3991 = BgL_new1229z00_3992; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3991)))->BgL_varsz00)=((obj_t)BgL_vars1136z00_3576),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3991)))->BgL_valsz00)=((obj_t)BgL_vals1137z00_3577),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3991)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1138z00_3578)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1230z00_3991))->BgL_boxesz00)=((obj_t)BgL_boxes1139z00_3579),BUNSPEC); 
return BgL_new1230z00_3991;} } 

}



/* &<@anonymous:1795> */
obj_t BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3580)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3581, obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3582)))->BgL_boxesz00)=((obj_t)BgL_vz00_3583),BUNSPEC);} 

}



/* &lambda1793 */
obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t BgL_envz00_3584, obj_t BgL_oz00_3585)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3585)))->BgL_boxesz00);} 

}



/* &<@anonymous:1763> */
obj_t BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_new1134z00_3587)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4944;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3587)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3587)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4949;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_3998;
BgL_classz00_3998 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1281z00_3999;
BgL__ortest_1281z00_3999 = 
BGL_CLASS_NIL(BgL_classz00_3998); 
if(
CBOOL(BgL__ortest_1281z00_3999))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4949 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3999)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4949 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3998))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3587)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4949),BUNSPEC); } 
BgL_auxz00_4944 = 
((BgL_ev_binderz00_bglt)BgL_new1134z00_3587); 
return 
((obj_t)BgL_auxz00_4944);} } 

}



/* &lambda1761 */
BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3588)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1133z00_4000;
BgL_new1133z00_4000 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1762z00_4001;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2315z00_4002;
BgL_res2315z00_4002 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1762z00_4001 = BgL_res2315z00_4002; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_4000), BgL_arg1762z00_4001); } 
return BgL_new1133z00_4000;} } 

}



/* &lambda1759 */
BgL_ev_binderz00_bglt BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t BgL_envz00_3589, obj_t BgL_vars1130z00_3590, obj_t BgL_vals1131z00_3591, obj_t BgL_body1132z00_3592)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1228z00_4004;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_4005;
BgL_new1227z00_4005 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1760z00_4006;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2314z00_4007;
BgL_res2314z00_4007 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1760z00_4006 = BgL_res2314z00_4007; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_4005), BgL_arg1760z00_4006); } 
BgL_new1228z00_4004 = BgL_new1227z00_4005; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_4004))->BgL_varsz00)=((obj_t)BgL_vars1130z00_3590),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_4004))->BgL_valsz00)=((obj_t)BgL_vals1131z00_3591),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_4004))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1132z00_3592)),BUNSPEC); 
return BgL_new1228z00_4004;} } 

}



/* &lambda1778 */
obj_t BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3594)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3595)),BUNSPEC);} 

}



/* &lambda1777 */
BgL_ev_exprz00_bglt BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3597)))->BgL_bodyz00);} 

}



/* &lambda1773 */
obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_oz00_3599, obj_t BgL_vz00_3600)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3599)))->BgL_valsz00)=((obj_t)BgL_vz00_3600),BUNSPEC);} 

}



/* &lambda1772 */
obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3602)))->BgL_valsz00);} 

}



/* &lambda1768 */
obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3603, obj_t BgL_oz00_3604, obj_t BgL_vz00_3605)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3604)))->BgL_varsz00)=((obj_t)BgL_vz00_3605),BUNSPEC);} 

}



/* &lambda1767 */
obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_oz00_3607)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3607)))->BgL_varsz00);} 

}



/* &<@anonymous:1733> */
obj_t BGl_z62zc3z04anonymousza31733ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3608, obj_t BgL_new1128z00_3609)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4985;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3609)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4988;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4016;
BgL_classz00_4016 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4017;
BgL__ortest_1281z00_4017 = 
BGL_CLASS_NIL(BgL_classz00_4016); 
if(
CBOOL(BgL__ortest_1281z00_4017))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4988 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4017)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4988 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4016))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3609)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4988),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4997;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4018;
BgL_classz00_4018 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4019;
BgL__ortest_1281z00_4019 = 
BGL_CLASS_NIL(BgL_classz00_4018); 
if(
CBOOL(BgL__ortest_1281z00_4019))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4997 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4019)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4997 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4018))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3609)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4997),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5006;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4020;
BgL_classz00_4020 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4021;
BgL__ortest_1281z00_4021 = 
BGL_CLASS_NIL(BgL_classz00_4020); 
if(
CBOOL(BgL__ortest_1281z00_4021))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_5006 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4021)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_5006 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4020))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3609)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5006),BUNSPEC); } 
BgL_auxz00_4985 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3609); 
return 
((obj_t)BgL_auxz00_4985);} } 

}



/* &lambda1731 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3610)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_4022;
BgL_new1127z00_4022 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1732z00_4023;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2313z00_4024;
BgL_res2313z00_4024 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1732z00_4023 = BgL_res2313z00_4024; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_4022), BgL_arg1732z00_4023); } 
return BgL_new1127z00_4022;} } 

}



/* &lambda1729 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t BgL_envz00_3611, obj_t BgL_loc1123z00_3612, obj_t BgL_mutex1124z00_3613, obj_t BgL_prelock1125z00_3614, obj_t BgL_body1126z00_3615)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_4028;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_4029;
BgL_new1225z00_4029 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1730z00_4030;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2312z00_4031;
BgL_res2312z00_4031 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1730z00_4030 = BgL_res2312z00_4031; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_4029), BgL_arg1730z00_4030); } 
BgL_new1226z00_4028 = BgL_new1225z00_4029; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4028))->BgL_locz00)=((obj_t)BgL_loc1123z00_3612),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4028))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1124z00_3613)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4028))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1125z00_3614)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4028))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1126z00_3615)),BUNSPEC); 
return BgL_new1226z00_4028;} } 

}



/* &lambda1753 */
obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t BgL_envz00_3616, obj_t BgL_oz00_3617, obj_t BgL_vz00_3618)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3617)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3618)),BUNSPEC);} 

}



/* &lambda1752 */
BgL_ev_exprz00_bglt BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t BgL_envz00_3619, obj_t BgL_oz00_3620)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3620)))->BgL_bodyz00);} 

}



/* &lambda1748 */
obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3621, obj_t BgL_oz00_3622, obj_t BgL_vz00_3623)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3622)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3623)),BUNSPEC);} 

}



/* &lambda1747 */
BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t BgL_envz00_3624, obj_t BgL_oz00_3625)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3625)))->BgL_prelockz00);} 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3626, obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3627)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3628)),BUNSPEC);} 

}



/* &lambda1742 */
BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3629, obj_t BgL_oz00_3630)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3630)))->BgL_mutexz00);} 

}



/* &lambda1738 */
obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3631, obj_t BgL_oz00_3632, obj_t BgL_vz00_3633)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3632)))->BgL_locz00)=((obj_t)BgL_vz00_3633),BUNSPEC);} 

}



/* &lambda1737 */
obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t BgL_envz00_3634, obj_t BgL_oz00_3635)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3635)))->BgL_locz00);} 

}



/* &<@anonymous:1712> */
obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_new1121z00_3637)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5051;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5052;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4044;
BgL_classz00_4044 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_4045;
BgL__ortest_1281z00_4045 = 
BGL_CLASS_NIL(BgL_classz00_4044); 
if(
CBOOL(BgL__ortest_1281z00_4045))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5052 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4045)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5052 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4044))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3637)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5052),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5061;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4046;
BgL_classz00_4046 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_4047;
BgL__ortest_1281z00_4047 = 
BGL_CLASS_NIL(BgL_classz00_4046); 
if(
CBOOL(BgL__ortest_1281z00_4047))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5061 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4047)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5061 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4046))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3637)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5061),BUNSPEC); } 
BgL_auxz00_5051 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3637); 
return 
((obj_t)BgL_auxz00_5051);} } 

}



/* &lambda1710 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3638)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_4048;
BgL_new1120z00_4048 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1711z00_4049;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2311z00_4050;
BgL_res2311z00_4050 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1711z00_4049 = BgL_res2311z00_4050; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_4048), BgL_arg1711z00_4049); } 
return BgL_new1120z00_4048;} } 

}



/* &lambda1708 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3639, obj_t BgL_handler1118z00_3640, obj_t BgL_body1119z00_3641)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_4053;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_4054;
BgL_new1223z00_4054 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1709z00_4055;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2310z00_4056;
BgL_res2310z00_4056 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1709z00_4055 = BgL_res2310z00_4056; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_4054), BgL_arg1709z00_4055); } 
BgL_new1224z00_4053 = BgL_new1223z00_4054; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4053))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1118z00_3640)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4053))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1119z00_3641)),BUNSPEC); 
return BgL_new1224z00_4053;} } 

}



/* &lambda1723 */
obj_t BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t BgL_envz00_3642, obj_t BgL_oz00_3643, obj_t BgL_vz00_3644)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3643)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3644)),BUNSPEC);} 

}



/* &lambda1722 */
BgL_ev_exprz00_bglt BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t BgL_envz00_3645, obj_t BgL_oz00_3646)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3646)))->BgL_bodyz00);} 

}



/* &lambda1718 */
obj_t BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t BgL_envz00_3647, obj_t BgL_oz00_3648, obj_t BgL_vz00_3649)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3648)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3649)),BUNSPEC);} 

}



/* &lambda1717 */
BgL_ev_exprz00_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t BgL_envz00_3650, obj_t BgL_oz00_3651)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3651)))->BgL_handlerz00);} 

}



/* &<@anonymous:1692> */
obj_t BGl_z62zc3z04anonymousza31692ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3652, obj_t BgL_new1116z00_3653)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5094;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5095;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4064;
BgL_classz00_4064 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_4065;
BgL__ortest_1281z00_4065 = 
BGL_CLASS_NIL(BgL_classz00_4064); 
if(
CBOOL(BgL__ortest_1281z00_4065))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5095 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4065)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5095 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4064))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3653)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5095),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5104;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4066;
BgL_classz00_4066 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_4067;
BgL__ortest_1281z00_4067 = 
BGL_CLASS_NIL(BgL_classz00_4066); 
if(
CBOOL(BgL__ortest_1281z00_4067))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5104 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4067)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5104 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4066))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3653)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5104),BUNSPEC); } 
BgL_auxz00_5094 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3653); 
return 
((obj_t)BgL_auxz00_5094);} } 

}



/* &lambda1690 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t BgL_envz00_3654)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4068;
BgL_new1115z00_4068 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1691z00_4069;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2309z00_4070;
BgL_res2309z00_4070 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1691z00_4069 = BgL_res2309z00_4070; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_4068), BgL_arg1691z00_4069); } 
return BgL_new1115z00_4068;} } 

}



/* &lambda1688 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3655, obj_t BgL_e1113z00_3656, obj_t BgL_body1114z00_3657)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4073;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4074;
BgL_new1221z00_4074 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1689z00_4075;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2308z00_4076;
BgL_res2308z00_4076 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1689z00_4075 = BgL_res2308z00_4076; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_4074), BgL_arg1689z00_4075); } 
BgL_new1222z00_4073 = BgL_new1221z00_4074; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4073))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1113z00_3656)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4073))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1114z00_3657)),BUNSPEC); 
return BgL_new1222z00_4073;} } 

}



/* &lambda1702 */
obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3658, obj_t BgL_oz00_3659, obj_t BgL_vz00_3660)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3659)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3660)),BUNSPEC);} 

}



/* &lambda1701 */
BgL_ev_exprz00_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3661, obj_t BgL_oz00_3662)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3662)))->BgL_bodyz00);} 

}



/* &lambda1697 */
obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3663, obj_t BgL_oz00_3664, obj_t BgL_vz00_3665)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3664)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3665)),BUNSPEC);} 

}



/* &lambda1696 */
BgL_ev_exprz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t BgL_envz00_3666, obj_t BgL_oz00_3667)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3667)))->BgL_ez00);} 

}



/* &<@anonymous:1668> */
obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3668, obj_t BgL_new1111z00_3669)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5137;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5138;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4084;
BgL_classz00_4084 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_4085;
BgL__ortest_1281z00_4085 = 
BGL_CLASS_NIL(BgL_classz00_4084); 
if(
CBOOL(BgL__ortest_1281z00_4085))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5138 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_4085)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5138 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4084))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3669)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5138),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5147;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4086;
BgL_classz00_4086 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_4087;
BgL__ortest_1281z00_4087 = 
BGL_CLASS_NIL(BgL_classz00_4086); 
if(
CBOOL(BgL__ortest_1281z00_4087))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5147 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4087)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5147 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4086))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3669)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5147),BUNSPEC); } 
BgL_auxz00_5137 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3669); 
return 
((obj_t)BgL_auxz00_5137);} } 

}



/* &lambda1666 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t BgL_envz00_3670)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4088;
BgL_new1110z00_4088 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1667z00_4089;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2307z00_4090;
BgL_res2307z00_4090 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1667z00_4089 = BgL_res2307z00_4090; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4088), BgL_arg1667z00_4089); } 
return BgL_new1110z00_4088;} } 

}



/* &lambda1664 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_var1108z00_3672, obj_t BgL_body1109z00_3673)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4093;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4094;
BgL_new1219z00_4094 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1665z00_4095;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2306z00_4096;
BgL_res2306z00_4096 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1665z00_4095 = BgL_res2306z00_4096; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_4094), BgL_arg1665z00_4095); } 
BgL_new1220z00_4093 = BgL_new1219z00_4094; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4093))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3672)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4093))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3673)),BUNSPEC); 
return BgL_new1220z00_4093;} } 

}



/* &lambda1680 */
obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3674, obj_t BgL_oz00_3675, obj_t BgL_vz00_3676)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3675)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3676)),BUNSPEC);} 

}



/* &lambda1679 */
BgL_ev_exprz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t BgL_envz00_3677, obj_t BgL_oz00_3678)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3678)))->BgL_bodyz00);} 

}



/* &lambda1675 */
obj_t BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t BgL_envz00_3679, obj_t BgL_oz00_3680, obj_t BgL_vz00_3681)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3680)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3681)),BUNSPEC);} 

}



/* &lambda1674 */
BgL_ev_varz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_oz00_3683)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3683)))->BgL_varz00);} 

}



/* &<@anonymous:1657> */
obj_t BGl_z62zc3z04anonymousza31657ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3684, obj_t BgL_new1106z00_3685)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5180;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5181;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_4104;
BgL_classz00_4104 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1281z00_4105;
BgL__ortest_1281z00_4105 = 
BGL_CLASS_NIL(BgL_classz00_4104); 
if(
CBOOL(BgL__ortest_1281z00_4105))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5181 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4105)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5181 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4104))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3685))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5181),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3685))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3685))))->BgL_namez00)=((obj_t)BGl_symbol2709z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3685))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5180 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3685); 
return 
((obj_t)BgL_auxz00_5180);} } 

}



/* &lambda1655 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3686)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1105z00_4106;
BgL_new1105z00_4106 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1656z00_4107;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2305z00_4108;
BgL_res2305z00_4108 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1656z00_4107 = BgL_res2305z00_4108; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4106), BgL_arg1656z00_4107); } 
return BgL_new1105z00_4106;} } 

}



/* &lambda1652 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3687, obj_t BgL_e1101z00_3688, obj_t BgL_loc1102z00_3689, obj_t BgL_name1103z00_3690, obj_t BgL_mod1104z00_3691)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1218z00_4111;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_4112;
BgL_new1217z00_4112 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1654z00_4113;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2304z00_4114;
BgL_res2304z00_4114 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1654z00_4113 = BgL_res2304z00_4114; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_4112), BgL_arg1654z00_4113); } 
BgL_new1218z00_4111 = BgL_new1217z00_4112; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1218z00_4111)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3688)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4111)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3689),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4111)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3690)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4111)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3691),BUNSPEC); 
return BgL_new1218z00_4111;} } 

}



/* &<@anonymous:1622> */
obj_t BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3692, obj_t BgL_new1099z00_3693)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5220;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5221;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_4116;
BgL_classz00_4116 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1281z00_4117;
BgL__ortest_1281z00_4117 = 
BGL_CLASS_NIL(BgL_classz00_4116); 
if(
CBOOL(BgL__ortest_1281z00_4117))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5221 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4117)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5221 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4116))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3693))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5221),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3693)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3693)))->BgL_namez00)=((obj_t)BGl_symbol2709z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3693)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5220 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3693); 
return 
((obj_t)BgL_auxz00_5220);} } 

}



/* &lambda1620 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t BgL_envz00_3694)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1098z00_4118;
BgL_new1098z00_4118 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1621z00_4119;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2303z00_4120;
BgL_res2303z00_4120 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1621z00_4119 = BgL_res2303z00_4120; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4118), BgL_arg1621z00_4119); } 
return BgL_new1098z00_4118;} } 

}



/* &lambda1618 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3695, obj_t BgL_e1094z00_3696, obj_t BgL_loc1095z00_3697, obj_t BgL_name1096z00_3698, obj_t BgL_mod1097z00_3699)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1216z00_4123;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_4124;
BgL_new1215z00_4124 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1619z00_4125;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2302z00_4126;
BgL_res2302z00_4126 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1619z00_4125 = BgL_res2302z00_4126; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_4124), BgL_arg1619z00_4125); } 
BgL_new1216z00_4123 = BgL_new1215z00_4124; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_4123)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3696)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4123))->BgL_locz00)=((obj_t)BgL_loc1095z00_3697),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4123))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3698)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4123))->BgL_modz00)=((obj_t)BgL_mod1097z00_3699),BUNSPEC); 
return BgL_new1216z00_4123;} } 

}



/* &lambda1640 */
obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3700, obj_t BgL_oz00_3701, obj_t BgL_vz00_3702)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3701)))->BgL_modz00)=((obj_t)BgL_vz00_3702),BUNSPEC);} 

}



/* &lambda1639 */
obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_oz00_3704)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3704)))->BgL_modz00);} 

}



/* &lambda1632 */
obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t BgL_envz00_3705, obj_t BgL_oz00_3706, obj_t BgL_vz00_3707)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3706)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3707)),BUNSPEC);} 

}



/* &lambda1631 */
obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_oz00_3709)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3709)))->BgL_namez00);} 

}



/* &lambda1627 */
obj_t BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t BgL_envz00_3710, obj_t BgL_oz00_3711, obj_t BgL_vz00_3712)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3711)))->BgL_locz00)=((obj_t)BgL_vz00_3712),BUNSPEC);} 

}



/* &lambda1626 */
obj_t BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t BgL_envz00_3713, obj_t BgL_oz00_3714)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3714)))->BgL_locz00);} 

}



/* &<@anonymous:1607> */
obj_t BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3715, obj_t BgL_new1092z00_3716)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5267;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5268;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4135;
BgL_classz00_4135 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4136;
BgL__ortest_1281z00_4136 = 
BGL_CLASS_NIL(BgL_classz00_4135); 
if(
CBOOL(BgL__ortest_1281z00_4136))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5268 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4136)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5268 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4135))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3716))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5268),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5278;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4137;
BgL_classz00_4137 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4138;
BgL__ortest_1281z00_4138 = 
BGL_CLASS_NIL(BgL_classz00_4137); 
if(
CBOOL(BgL__ortest_1281z00_4138))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5278 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_4138)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5278 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4137))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3716)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5278),BUNSPEC); } 
BgL_auxz00_5267 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3716); 
return 
((obj_t)BgL_auxz00_5267);} } 

}



/* &lambda1605 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3717)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1091z00_4139;
BgL_new1091z00_4139 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1606z00_4140;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2301z00_4141;
BgL_res2301z00_4141 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1606z00_4140 = BgL_res2301z00_4141; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4139), BgL_arg1606z00_4140); } 
return BgL_new1091z00_4139;} } 

}



/* &lambda1603 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_e1089z00_3719, obj_t BgL_v1090z00_3720)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1214z00_4144;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_4145;
BgL_new1213z00_4145 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1604z00_4146;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2300z00_4147;
BgL_res2300z00_4147 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1604z00_4146 = BgL_res2300z00_4147; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4145), BgL_arg1604z00_4146); } 
BgL_new1214z00_4144 = BgL_new1213z00_4145; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4144)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3719)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1214z00_4144))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3720)),BUNSPEC); 
return BgL_new1214z00_4144;} } 

}



/* &lambda1612 */
obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t BgL_envz00_3721, obj_t BgL_oz00_3722, obj_t BgL_vz00_3723)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3722)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3723)),BUNSPEC);} 

}



/* &lambda1611 */
BgL_ev_varz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t BgL_envz00_3724, obj_t BgL_oz00_3725)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3725)))->BgL_vz00);} 

}



/* &<@anonymous:1597> */
obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3726, obj_t BgL_new1087z00_3727)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5307;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5308;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_4152;
BgL_classz00_4152 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1281z00_4153;
BgL__ortest_1281z00_4153 = 
BGL_CLASS_NIL(BgL_classz00_4152); 
if(
CBOOL(BgL__ortest_1281z00_4153))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5308 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4153)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5308 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4152))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3727))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5308),BUNSPEC); } 
BgL_auxz00_5307 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3727); 
return 
((obj_t)BgL_auxz00_5307);} } 

}



/* &lambda1595 */
BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3728)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1086z00_4154;
BgL_new1086z00_4154 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1596z00_4155;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2299z00_4156;
BgL_res2299z00_4156 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1596z00_4155 = BgL_res2299z00_4156; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4154), BgL_arg1596z00_4155); } 
return BgL_new1086z00_4154;} } 

}



/* &lambda1593 */
BgL_ev_trapz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3729, obj_t BgL_e1085z00_3730)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1212z00_4158;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4159;
BgL_new1211z00_4159 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1594z00_4160;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2298z00_4161;
BgL_res2298z00_4161 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1594z00_4160 = BgL_res2298z00_4161; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4159), BgL_arg1594z00_4160); } 
BgL_new1212z00_4158 = BgL_new1211z00_4159; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4158)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3730)),BUNSPEC); 
return BgL_new1212z00_4158;} } 

}



/* &<@anonymous:1581> */
obj_t BGl_z62zc3z04anonymousza31581ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3731, obj_t BgL_new1083z00_3732)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5331;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5332;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_4163;
BgL_classz00_4163 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1281z00_4164;
BgL__ortest_1281z00_4164 = 
BGL_CLASS_NIL(BgL_classz00_4163); 
if(
CBOOL(BgL__ortest_1281z00_4164))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5332 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4164)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5332 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4163))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3732)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5332),BUNSPEC); } 
BgL_auxz00_5331 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3732); 
return 
((obj_t)BgL_auxz00_5331);} } 

}



/* &lambda1579 */
BgL_ev_hookz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t BgL_envz00_3733)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1082z00_4165;
BgL_new1082z00_4165 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1580z00_4166;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2297z00_4167;
BgL_res2297z00_4167 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1580z00_4166 = BgL_res2297z00_4167; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4165), BgL_arg1580z00_4166); } 
return BgL_new1082z00_4165;} } 

}



/* &lambda1577 */
BgL_ev_hookz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_e1081z00_3735)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1210z00_4169;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4170;
BgL_new1209z00_4170 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1578z00_4171;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2296z00_4172;
BgL_res2296z00_4172 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1578z00_4171 = BgL_res2296z00_4172; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4170), BgL_arg1578z00_4171); } 
BgL_new1210z00_4169 = BgL_new1209z00_4170; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1210z00_4169))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3735)),BUNSPEC); 
return BgL_new1210z00_4169;} } 

}



/* &lambda1586 */
obj_t BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t BgL_envz00_3736, obj_t BgL_oz00_3737, obj_t BgL_vz00_3738)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3737)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3738)),BUNSPEC);} 

}



/* &lambda1585 */
BgL_ev_exprz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_oz00_3740)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3740)))->BgL_ez00);} 

}



/* &<@anonymous:1559> */
obj_t BGl_z62zc3z04anonymousza31559ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3741, obj_t BgL_new1079z00_3742)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5358;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5359;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4177;
BgL_classz00_4177 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4178;
BgL__ortest_1281z00_4178 = 
BGL_CLASS_NIL(BgL_classz00_4177); 
if(
CBOOL(BgL__ortest_1281z00_4178))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5359 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4178)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5359 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4177))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3742)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5359),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5368;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4179;
BgL_classz00_4179 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4180;
BgL__ortest_1281z00_4180 = 
BGL_CLASS_NIL(BgL_classz00_4179); 
if(
CBOOL(BgL__ortest_1281z00_4180))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5368 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4180)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5368 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4179))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3742)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5368),BUNSPEC); } 
BgL_auxz00_5358 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3742); 
return 
((obj_t)BgL_auxz00_5358);} } 

}



/* &lambda1557 */
BgL_ev_prog2z00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t BgL_envz00_3743)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1078z00_4181;
BgL_new1078z00_4181 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1558z00_4182;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2295z00_4183;
BgL_res2295z00_4183 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1558z00_4182 = BgL_res2295z00_4183; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4181), BgL_arg1558z00_4182); } 
return BgL_new1078z00_4181;} } 

}



/* &lambda1555 */
BgL_ev_prog2z00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t BgL_envz00_3744, obj_t BgL_e11076z00_3745, obj_t BgL_e21077z00_3746)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1208z00_4186;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4187;
BgL_new1207z00_4187 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1556z00_4188;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2294z00_4189;
BgL_res2294z00_4189 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1556z00_4188 = BgL_res2294z00_4189; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4187), BgL_arg1556z00_4188); } 
BgL_new1208z00_4186 = BgL_new1207z00_4187; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4186))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3745)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4186))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3746)),BUNSPEC); 
return BgL_new1208z00_4186;} } 

}



/* &lambda1571 */
obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_oz00_3748, obj_t BgL_vz00_3749)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3748)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3749)),BUNSPEC);} 

}



/* &lambda1570 */
BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t BgL_envz00_3750, obj_t BgL_oz00_3751)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3751)))->BgL_e2z00);} 

}



/* &lambda1564 */
obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t BgL_envz00_3752, obj_t BgL_oz00_3753, obj_t BgL_vz00_3754)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3753)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3754)),BUNSPEC);} 

}



/* &lambda1563 */
BgL_ev_exprz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t BgL_envz00_3755, obj_t BgL_oz00_3756)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3756)))->BgL_e1z00);} 

}



/* &<@anonymous:1547> */
obj_t BGl_z62zc3z04anonymousza31547ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3757, obj_t BgL_new1074z00_3758)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_auxz00_5401;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3758))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5401 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3758); 
return 
((obj_t)BgL_auxz00_5401);} } 

}



/* &lambda1545 */
BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3759)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1073z00_4197;
BgL_new1073z00_4197 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1546z00_4198;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2293z00_4199;
BgL_res2293z00_4199 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1546z00_4198 = BgL_res2293z00_4199; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4197), BgL_arg1546z00_4198); } 
return BgL_new1073z00_4197;} } 

}



/* &lambda1543 */
BgL_ev_andz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3760, obj_t BgL_args1072z00_3761)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1206z00_4200;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4201;
BgL_new1205z00_4201 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1544z00_4202;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2292z00_4203;
BgL_res2292z00_4203 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1544z00_4202 = BgL_res2292z00_4203; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4201), BgL_arg1544z00_4202); } 
BgL_new1206z00_4200 = BgL_new1205z00_4201; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1206z00_4200)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3761),BUNSPEC); 
return BgL_new1206z00_4200;} } 

}



/* &<@anonymous:1532> */
obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3762, obj_t BgL_new1070z00_3763)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_auxz00_5417;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3763))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5417 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3763); 
return 
((obj_t)BgL_auxz00_5417);} } 

}



/* &lambda1530 */
BgL_ev_orz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t BgL_envz00_3764)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1069z00_4205;
BgL_new1069z00_4205 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1531z00_4206;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2291z00_4207;
BgL_res2291z00_4207 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1531z00_4206 = BgL_res2291z00_4207; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4205), BgL_arg1531z00_4206); } 
return BgL_new1069z00_4205;} } 

}



/* &lambda1528 */
BgL_ev_orz00_bglt BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3765, obj_t BgL_args1068z00_3766)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1204z00_4208;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4209;
BgL_new1203z00_4209 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1529z00_4210;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2290z00_4211;
BgL_res2290z00_4211 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1529z00_4210 = BgL_res2290z00_4211; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4209), BgL_arg1529z00_4210); } 
BgL_new1204z00_4208 = BgL_new1203z00_4209; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4208)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3766),BUNSPEC); 
return BgL_new1204z00_4208;} } 

}



/* &<@anonymous:1516> */
obj_t BGl_z62zc3z04anonymousza31516ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3767, obj_t BgL_new1066z00_3768)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_auxz00_5433;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3768)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5433 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3768); 
return 
((obj_t)BgL_auxz00_5433);} } 

}



/* &lambda1512 */
BgL_ev_listz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t BgL_envz00_3769)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1065z00_4213;
BgL_new1065z00_4213 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1515z00_4214;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2289z00_4215;
BgL_res2289z00_4215 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1515z00_4214 = BgL_res2289z00_4215; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4213), BgL_arg1515z00_4214); } 
return BgL_new1065z00_4213;} } 

}



/* &lambda1510 */
BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3770, obj_t BgL_args1064z00_3771)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1202z00_4216;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4217;
BgL_new1201z00_4217 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1511z00_4218;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2288z00_4219;
BgL_res2288z00_4219 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1511z00_4218 = BgL_res2288z00_4219; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4217), BgL_arg1511z00_4218); } 
BgL_new1202z00_4216 = BgL_new1201z00_4217; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1202z00_4216))->BgL_argsz00)=((obj_t)BgL_args1064z00_3771),BUNSPEC); 
return BgL_new1202z00_4216;} } 

}



/* &lambda1522 */
obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t BgL_envz00_3772, obj_t BgL_oz00_3773, obj_t BgL_vz00_3774)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3773)))->BgL_argsz00)=((obj_t)BgL_vz00_3774),BUNSPEC);} 

}



/* &lambda1521 */
obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3775, obj_t BgL_oz00_3776)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3776)))->BgL_argsz00);} 

}



/* &<@anonymous:1486> */
obj_t BGl_z62zc3z04anonymousza31486ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3777, obj_t BgL_new1062z00_3778)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5451;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5452;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4223;
BgL_classz00_4223 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4224;
BgL__ortest_1281z00_4224 = 
BGL_CLASS_NIL(BgL_classz00_4223); 
if(
CBOOL(BgL__ortest_1281z00_4224))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5452 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4224)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5452 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4223))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3778)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5452),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5461;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4225;
BgL_classz00_4225 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4226;
BgL__ortest_1281z00_4226 = 
BGL_CLASS_NIL(BgL_classz00_4225); 
if(
CBOOL(BgL__ortest_1281z00_4226))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5461 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4226)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5461 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4225))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3778)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5461),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5470;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4227;
BgL_classz00_4227 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4228;
BgL__ortest_1281z00_4228 = 
BGL_CLASS_NIL(BgL_classz00_4227); 
if(
CBOOL(BgL__ortest_1281z00_4228))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5470 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4228)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5470 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4227))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3778)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5470),BUNSPEC); } 
BgL_auxz00_5451 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3778); 
return 
((obj_t)BgL_auxz00_5451);} } 

}



/* &lambda1484 */
BgL_ev_ifz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3779)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1061z00_4229;
BgL_new1061z00_4229 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1485z00_4230;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2287z00_4231;
BgL_res2287z00_4231 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1485z00_4230 = BgL_res2287z00_4231; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4229), BgL_arg1485z00_4230); } 
return BgL_new1061z00_4229;} } 

}



/* &lambda1482 */
BgL_ev_ifz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t BgL_envz00_3780, obj_t BgL_p1058z00_3781, obj_t BgL_t1059z00_3782, obj_t BgL_e1060z00_3783)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1200z00_4235;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4236;
BgL_new1199z00_4236 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1483z00_4237;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2286z00_4238;
BgL_res2286z00_4238 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1483z00_4237 = BgL_res2286z00_4238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4236), BgL_arg1483z00_4237); } 
BgL_new1200z00_4235 = BgL_new1199z00_4236; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4235))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3781)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4235))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3782)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4235))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3783)),BUNSPEC); 
return BgL_new1200z00_4235;} } 

}



/* &lambda1504 */
obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3784, obj_t BgL_oz00_3785, obj_t BgL_vz00_3786)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3785)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3786)),BUNSPEC);} 

}



/* &lambda1503 */
BgL_ev_exprz00_bglt BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t BgL_envz00_3787, obj_t BgL_oz00_3788)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3788)))->BgL_ez00);} 

}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3789, obj_t BgL_oz00_3790, obj_t BgL_vz00_3791)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3790)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3791)),BUNSPEC);} 

}



/* &lambda1498 */
BgL_ev_exprz00_bglt BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3792, obj_t BgL_oz00_3793)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3793)))->BgL_tz00);} 

}



/* &lambda1493 */
obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3794, obj_t BgL_oz00_3795, obj_t BgL_vz00_3796)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3795)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3796)),BUNSPEC);} 

}



/* &lambda1492 */
BgL_ev_exprz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3797, obj_t BgL_oz00_3798)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3798)))->BgL_pz00);} 

}



/* &<@anonymous:1470> */
obj_t BGl_z62zc3z04anonymousza31470ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3799, obj_t BgL_new1056z00_3800)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_auxz00_5510;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3800)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5510 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3800); 
return 
((obj_t)BgL_auxz00_5510);} } 

}



/* &lambda1468 */
BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t BgL_envz00_3801)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1055z00_4249;
BgL_new1055z00_4249 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1469z00_4250;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2285z00_4251;
BgL_res2285z00_4251 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1469z00_4250 = BgL_res2285z00_4251; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4249), BgL_arg1469z00_4250); } 
return BgL_new1055z00_4249;} } 

}



/* &lambda1466 */
BgL_ev_littz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t BgL_envz00_3802, obj_t BgL_value1054z00_3803)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1198z00_4252;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4253;
BgL_new1197z00_4253 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1467z00_4254;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2284z00_4255;
BgL_res2284z00_4255 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1467z00_4254 = BgL_res2284z00_4255; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4253), BgL_arg1467z00_4254); } 
BgL_new1198z00_4252 = BgL_new1197z00_4253; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1198z00_4252))->BgL_valuez00)=((obj_t)BgL_value1054z00_3803),BUNSPEC); 
return BgL_new1198z00_4252;} } 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3804, obj_t BgL_oz00_3805, obj_t BgL_vz00_3806)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3805)))->BgL_valuez00)=((obj_t)BgL_vz00_3806),BUNSPEC);} 

}



/* &lambda1475 */
obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3807, obj_t BgL_oz00_3808)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3808)))->BgL_valuez00);} 

}



/* &<@anonymous:1442> */
obj_t BGl_z62zc3z04anonymousza31442ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3809, obj_t BgL_new1052z00_3810)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5528;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3810)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3810)))->BgL_namez00)=((obj_t)BGl_symbol2709z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3810)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5528 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3810); 
return 
((obj_t)BgL_auxz00_5528);} } 

}



/* &lambda1440 */
BgL_ev_globalz00_bglt BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t BgL_envz00_3811)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1051z00_4259;
BgL_new1051z00_4259 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1441z00_4260;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2283z00_4261;
BgL_res2283z00_4261 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1441z00_4260 = BgL_res2283z00_4261; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4259), BgL_arg1441z00_4260); } 
return BgL_new1051z00_4259;} } 

}



/* &lambda1438 */
BgL_ev_globalz00_bglt BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t BgL_envz00_3812, obj_t BgL_loc1048z00_3813, obj_t BgL_name1049z00_3814, obj_t BgL_mod1050z00_3815)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1196z00_4263;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4264;
BgL_new1195z00_4264 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1439z00_4265;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2282z00_4266;
BgL_res2282z00_4266 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1439z00_4265 = BgL_res2282z00_4266; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4264), BgL_arg1439z00_4265); } 
BgL_new1196z00_4263 = BgL_new1195z00_4264; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4263))->BgL_locz00)=((obj_t)BgL_loc1048z00_3813),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4263))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3814)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4263))->BgL_modz00)=((obj_t)BgL_mod1050z00_3815),BUNSPEC); 
return BgL_new1196z00_4263;} } 

}



/* &lambda1459 */
obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t BgL_envz00_3816, obj_t BgL_oz00_3817, obj_t BgL_vz00_3818)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3817)))->BgL_modz00)=((obj_t)BgL_vz00_3818),BUNSPEC);} 

}



/* &lambda1458 */
obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t BgL_envz00_3819, obj_t BgL_oz00_3820)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3820)))->BgL_modz00);} 

}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3821, obj_t BgL_oz00_3822, obj_t BgL_vz00_3823)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3822)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3823)),BUNSPEC);} 

}



/* &lambda1453 */
obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t BgL_envz00_3824, obj_t BgL_oz00_3825)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3825)))->BgL_namez00);} 

}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3826, obj_t BgL_oz00_3827, obj_t BgL_vz00_3828)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3827)))->BgL_locz00)=((obj_t)BgL_vz00_3828),BUNSPEC);} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3829, obj_t BgL_oz00_3830)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3830)))->BgL_locz00);} 

}



/* &<@anonymous:1413> */
obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3831, obj_t BgL_new1046z00_3832)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_auxz00_5562;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3832)))->BgL_namez00)=((obj_t)BGl_symbol2709z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3832)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3832)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5562 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3832); 
return 
((obj_t)BgL_auxz00_5562);} } 

}



/* &lambda1411 */
BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t BgL_envz00_3833)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1045z00_4275;
BgL_new1045z00_4275 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1412z00_4276;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2281z00_4277;
BgL_res2281z00_4277 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1412z00_4276 = BgL_res2281z00_4277; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4275), BgL_arg1412z00_4276); } 
return BgL_new1045z00_4275;} } 

}



/* &lambda1409 */
BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t BgL_envz00_3834, obj_t BgL_name1042z00_3835, obj_t BgL_eff1043z00_3836, obj_t BgL_type1044z00_3837)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1194z00_4279;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4280;
BgL_new1193z00_4280 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1410z00_4281;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2280z00_4282;
BgL_res2280z00_4282 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1410z00_4281 = BgL_res2280z00_4282; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4280), BgL_arg1410z00_4281); } 
BgL_new1194z00_4279 = BgL_new1193z00_4280; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4279))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3835)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4279))->BgL_effz00)=((obj_t)BgL_eff1043z00_3836),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4279))->BgL_typez00)=((obj_t)BgL_type1044z00_3837),BUNSPEC); 
return BgL_new1194z00_4279;} } 

}



/* &lambda1431 */
obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t BgL_envz00_3838, obj_t BgL_oz00_3839, obj_t BgL_vz00_3840)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3839)))->BgL_typez00)=((obj_t)BgL_vz00_3840),BUNSPEC);} 

}



/* &lambda1430 */
obj_t BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t BgL_envz00_3841, obj_t BgL_oz00_3842)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3842)))->BgL_typez00);} 

}



/* &<@anonymous:1426> */
obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3843)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1425 */
obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3844, obj_t BgL_oz00_3845, obj_t BgL_vz00_3846)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3845)))->BgL_effz00)=((obj_t)BgL_vz00_3846),BUNSPEC);} 

}



/* &lambda1424 */
obj_t BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t BgL_envz00_3847, obj_t BgL_oz00_3848)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3848)))->BgL_effz00);} 

}



/* &lambda1418 */
obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t BgL_envz00_3849, obj_t BgL_oz00_3850, obj_t BgL_vz00_3851)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3850)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3851)),BUNSPEC);} 

}



/* &lambda1417 */
obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t BgL_envz00_3852, obj_t BgL_oz00_3853)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3853)))->BgL_namez00);} 

}



/* &<@anonymous:1403> */
obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3854, obj_t BgL_new1040z00_3855)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3855));} 

}



/* &lambda1401 */
BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t BgL_envz00_3856)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1039z00_4291;
BgL_new1039z00_4291 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1402z00_4292;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2279z00_4293;
BgL_res2279z00_4293 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1402z00_4292 = BgL_res2279z00_4293; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4291), BgL_arg1402z00_4292); } 
return BgL_new1039z00_4291;} } 

}



/* &lambda1397 */
BgL_ev_exprz00_bglt BGl_z62lambda1397z62zz__evaluate_typesz00(obj_t BgL_envz00_3857)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1192z00_4294;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4295;
BgL_new1191z00_4295 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1400z00_4296;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2278z00_4297;
BgL_res2278z00_4297 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1400z00_4296 = BgL_res2278z00_4297; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4295), BgL_arg1400z00_4296); } 
BgL_new1192z00_4294 = BgL_new1191z00_4295; } 
return BgL_new1192z00_4294;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)330490148), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422112), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)93454137), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2386z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
